DataInputControllerDeleteStorageRecord Method

DELETE /DataInput/DataStorageRecord/{id} Deletes a data storage record.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpDeleteAttribute]
[ActionNameAttribute("DataStorageRecord")]
public IActionResult DeleteStorageRecord(
	Guid id,
	Guid dataCubeId,
	Guid transformId,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the record to delete.
dataCubeId
Type: SystemGuid
The ID of the data cube which contains the record.
transformId
Type: SystemGuid
The ID of the transform which contains the record.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A status code indicating success or the reason for failure.
See Also